%define languageenglazy Oromo
%define languagecode    om
%define lc_ctype        om_ET

Name:           hunspell-%{languagecode}
Epoch:          1
Version:        0.04
Release:        %mkrel 12
Summary:        %{languageenglazy} hunspell dictionaries
License:        LGPLv3+
Group:          System/Internationalization
URL:            http://borel.slu.edu/crubadan/apps.html
Source0:        http://borel.slu.edu/obair/%{name}-%{version}.oxt

BuildArch:      noarch

Recommends:       hunspell

#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
Provides:       hunspell-om_KE = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2
Provides:       dictionary-om_KE = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build

%install
install -D -m 0644 -p dictionaries/om_ET.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p dictionaries/om_ET.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc dictionaries/README_om_ET.txt LICENSES-en.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Tue Feb 11 2020 umeabot <umeabot> 1:0.04-12.mga8
+ Revision: 1490920
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1:0.04-11.mga7
+ Revision: 1262679
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1:0.04-10.mga6
+ Revision: 944095
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:0.04-9.mga5
+ Revision: 747362
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.04-8.mga5
+ Revision: 680288
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 1:0.04-7.mga4
+ Revision: 505764
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1:0.04-6.mga3
+ Revision: 353635
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 10 2013 kamil <kamil> 1:0.04-5.mga3
+ Revision: 344517
- stop installing language aliases
- use better obsoleting of myspell

* Wed Feb 08 2012 kamil <kamil> 1:0.04-3.mga2
+ Revision: 206289
- adapt .spec to the current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 1:0.04-2.mga1
+ Revision: 69014
- imported package hunspell-om


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.04-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Nov 17 2009 Caolan McNamara <caolanm@redhat.com> - 1:0.04-1
- latest version

* Sat Oct 17 2009 Caolan McNamara <caolanm@redhat.com> - 0.20091002-1
- latest version

* Thu Sep 10 2009 Caolan McNamara <caolanm@redhat.com> - 0.20090414-1
- initial version
